Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Interface AbstractCFMetaDataFactory.Serializer

All Superinterfaces:
  MetaDataSerializer

All Known Implementing Classes:
  AnnotationPersistenceMappingSerializer, AnnotationPersistenceMetaDataSerializer, XMLPersistenceMappingSerializer, XMLPersistenceMetaDataSerializer

Enclosing class:
  AbstractCFMetaDataFactory

    public static interface AbstractCFMetaDataFactory.Serializer

extends MetaDataSerializer

Internal serializer interface.

Field Summary

Fields inherited from interface org.apache.openjpa.lib.meta.MetaDataSerializer
`APPEND, COMPACT, PRETTY, VERBOSE`

Method Summary
`void` | `addAll(MetaDataRepository repos)` Add all components in the given repository to the set to be serialized.
`void` | `addMetaData(ClassMetaData meta)` Add a class meta data to the set to be serialized.
`void` | `addQueryMetaData(QueryMetaData meta)` Add a query meta data to the set to be serialized.
`void` | `addSequenceMetaData(SequenceMetaData meta)` Add a sequence meta data to the set to be serialized.
`boolean` | `removeMetaData(ClassMetaData meta)` Remove a class meta data from the set to be serialized.
`void` | `setMode(int mode)` The serialization mode according to the expected document type.

Methods inherited from interface org.apache.openjpa.lib.meta.MetaDataSerializer
`serialize, serialize, serialize, serialize`

Method Detail

### setMode

    void setMode(int mode)

  The serialization mode according to the expected document type. The mode constants act as bit flags, and therefore can be combined.

### addMetaData

    void addMetaData(ClassMetaData meta)

  Add a class meta data to the set to be serialized.

### removeMetaData

    boolean removeMetaData(ClassMetaData meta)

  Remove a class meta data from the set to be serialized.

### addSequenceMetaData

    void addSequenceMetaData(SequenceMetaData meta)

  Add a sequence meta data to the set to be serialized.

### addQueryMetaData

    void addQueryMetaData(QueryMetaData meta)

  Add a query meta data to the set to be serialized.

### addAll

    void addAll(MetaDataRepository repos)

  Add all components in the given repository to the set to be serialized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.